using Microsoft.EntityFrameworkCore.Migrations.Operations;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.API.Domain.Entities
{
    [Table("TB_LINKED_SYSTEM")]
    public class TbLinkedSystem
    {
        [Key]
        [DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public required int SystemId { get; set; }

        [StringLength(100)]
        public required string SystemName { get; set; }
        public required DateTime CreatedAt { get; set; }
        public required bool UseYn { get; set; }

        [StringLength(255)]
        public string? SystemDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbLinkedSystem{ SystemId: " + SystemId + ", SystemName: " + SystemName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
